javax.faces.el

## Class ReferenceSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.el.EvaluationException
          - - javax.faces.el.ReferenceSyntaxException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  This has been replaced by `ELException`.

      public class ReferenceSyntaxException
      extends EvaluationException

  An exception reporting a syntax error in a method binding expression or value binding expression.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceSyntaxException()` Deprecated. Construct a new exception with no detail message or root cause.
    `ReferenceSyntaxException(String message)` Deprecated. Construct a new exception with the specified detail message and no root cause.
    `ReferenceSyntaxException(String message, Throwable cause)` Deprecated. Construct a new exception with the specified detail message and root cause.
    `ReferenceSyntaxException(Throwable cause)` Deprecated. Construct a new exception with the specified root cause.

  - ### Method Summary

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceSyntaxException

          public ReferenceSyntaxException()

      Deprecated.

      Construct a new exception with no detail message or root cause.

    - #### ReferenceSyntaxException

          public ReferenceSyntaxException(String message)

      Deprecated.

      Construct a new exception with the specified detail message and no root cause.

      Parameters:
        `message` - The detail message for this exception

    - #### ReferenceSyntaxException

          public ReferenceSyntaxException(Throwable cause)

      Deprecated.

      Construct a new exception with the specified root cause. The detail message will be set to `(cause == null ? null : cause.toString()`

      Parameters:
        `cause` - The root cause for this exception

    - #### ReferenceSyntaxException

          public ReferenceSyntaxException(String message,
                                  Throwable cause)

      Deprecated.

      Construct a new exception with the specified detail message and root cause.

      Parameters:
        `message` - The detail message for this exception
        `cause` - The root cause for this exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.